<button class="add-button" (click)="openVerticallyCentered(mymodal)" >+</button>
<ng-template #mymodal let-modal >
  <div class="modal-header">
    <h4 class="modal-title" id="modal-basic-title">Créer un Groupe de fonctionnalités</h4>
    <button type="button" class="btn-close" aria-label="Close" (click)="modal.dismiss('Cross click')"></button>
  </div>
  <div class="modal-body">
    <form [formGroup]="createGroupeForm" (ngSubmit)="onSubmit()">
      <div class="form-group">
        <input
          formControlName="test_plan_plan_id"
          type="hidden"
          id="test_plan_plan_id"
          name="test_plan_plan_id"
        />
        <label class="mb-1" for="nom">Intitulé</label>
        <input
          type="text"
          id="nom"
          name="nom"
          class="form-control mb-2"
          formControlName="nom"
        />
      </div>
      <div class="form-group">
        <label for="periodicite" class="w-100 mb-1" >Périodicité</label>
        <select name="periodicite"
                id="periodicite"
                class="w-100"
                formControlName="periodicite"
        >
          <option value="1 mois"
          >1 mois</option>
          <option
            value="2 mois"
          >2 mois</option>
          <option
            value="3 mois"
          >3 mois</option>
          <option
            value="4 mois"
          >4 mois</option>
          <option
            value="5 mois"
          >5 mois</option>
          <option
            value="6 mois"
          >6 mois</option>
          <option
            value="7 mois"
          >7 mois</option>
          <option
            value="8 mois"
          >8 mois</option>
          <option
            value="9 mois"
          >9 mois</option>
          <option
            value="10 mois"
          >10 mois</option>
          <option
            value="11 mois"
          >11 mois</option>
          <option
            value="12 mois"
          >12 mois</option>
        </select>
      </div>
      <div class="form-group">
        <label class="mb-1 me-2 w-100" for="draft">Etat :</label>
        <select name="draft"
                id="draft"
                class="w-100"
                formControlName="draft"
        >
          <option value=false
          >achevé</option>
          <option
            value=true
          >brouillon</option>
        </select>
      </div>
      <div class="form-group">
        <label class="mb-1 me-2 w-100" for="archive">Status :</label>
        <select name="archive"
                id="archive"
                class="w-100"
                formControlName="archive"
        >
          <option value="false"
          >actif</option>
          <option
            value="true"
          >inactif</option>
        </select>
      </div>
      Projet : {{ plan.nom }} - {{ plan.id}}
      <div class="mt-3 mb-2">
        <button class="btn btn-primary w-100">Sauvegarder</button>
      </div>
      <div class="mt-2 mb-2">
        <button class="btn btn-secondary w-100" type="reset" (click)="onReset()">Annuler</button>
      </div>
    </form>
  </div>
</ng-template>

